org.apache.ignite.internal

## Interface IgniteEx

All Superinterfaces:
  AutoCloseable, Ignite

All Known Implementing Classes:
  IgniteKernal

    public interface IgniteEx
    extends Ignite

Extended Grid interface which provides some additional methods required for kernal and Visor.

### Method Summary

Methods
`boolean` `allEventsUserRecordable(int[] types)` Checks whether all provided events are user-recordable.
`Collection<IgniteInternalCache<?,?>>` `cachesx(IgnitePredicate<? super IgniteInternalCache<?,?>>... p)` Gets configured cache instance that satisfy all provided predicates including non-public caches.
`<K,V> IgniteInternalCache<K,V>` `cachex()` Gets default cache instance if one is configured or `null` otherwise returning even non-public caches.
`<K,V> IgniteInternalCache<K,V>` `cachex(String name)` Gets the cache instance for the given name if one is configured or `null` otherwise returning even non-public caches.
`IgniteClusterEx` `cluster()` Gets an instance of `IgniteCluster` interface.
`GridKernalContext` `context()` Internal context.
`boolean` `eventUserRecordable(int type)` Checks if the event type is user-recordable.
`Hadoop` `hadoop()` Get Hadoop facade.
`IgniteFileSystem` `igfsx(String name)` Get IGFS instance returning null if it doesn't exist.
`boolean` `isJmxRemoteEnabled()` Whether or not remote JMX management is enabled for this node.
`boolean` `isRestartEnabled()` Whether or not node restart is enabled.
`String` `latestVersion()` Get latest version in string form.
`ClusterNode` `localNode()` Gets local grid node.
`<K extends GridCacheUtilityKey,V> IgniteInternalCache<K,V>` `utilityCache()` Gets utility cache.

### Methods inherited from interface org.apache.ignite.Ignite

`addCacheConfiguration, affinity, atomicLong, atomicReference, atomicSequence, atomicStamped, cache, close, compute, compute, configuration, countDownLatch, createCache, createCache, createCache, createNearCache, dataStreamer, destroyCache, events, events, executorService, executorService, fileSystem, fileSystems, getOrCreateCache, getOrCreateCache, getOrCreateCache, getOrCreateNearCache, log, message, message, name, plugin, queue, scheduler, services, services, set, transactions, version`

### Method Detail

#### utilityCache

    <K extends GridCacheUtilityKey,V> IgniteInternalCache<K,V> utilityCache()

Gets utility cache.

Returns:
  Utility cache.

#### cachex

    @Nullable
    <K,V> IgniteInternalCache<K,V> cachex(@Nullable
                                                 String name)

Gets the cache instance for the given name if one is configured or `null` otherwise returning even non-public caches.

Type Parameters:
  `K` - Key type.
  `V` - Value type.
Parameters:
  `name` - Cache name.
Returns:
  Cache instance for given name or `null` if one does not exist.

#### cachex

    @Nullable
    <K,V> IgniteInternalCache<K,V> cachex()

Gets default cache instance if one is configured or `null` otherwise returning even non-public caches. The `IgniteInternalCache.name()` method on default instance returns `null`.

Type Parameters:
  `K` - Key type.
  `V` - Value type.
Returns:
  Default cache instance.

#### cachesx

    Collection<IgniteInternalCache<?,?>> cachesx(@Nullable
                                               IgnitePredicate<? super IgniteInternalCache<?,?>>... p)

Gets configured cache instance that satisfy all provided predicates including non-public caches. If no predicates provided - all configured caches will be returned.

Parameters:
  `p` - Predicates. If none provided - all configured caches will be returned.
Returns:
  Configured cache instances that satisfy all provided predicates.

#### eventUserRecordable

    boolean eventUserRecordable(int type)

Checks if the event type is user-recordable.

Parameters:
  `type` - Event type to check.
Returns:
  `true` if passed event should be recorded, `false` - otherwise.

#### allEventsUserRecordable

    boolean allEventsUserRecordable(int[] types)

Checks whether all provided events are user-recordable.

Note that this method supports only predefined Ignite events.

Parameters:
  `types` - Event types.
Returns:
  Whether all events are recordable.
Throws:
  `IllegalArgumentException` - If `types` contains user event type.

#### isJmxRemoteEnabled

    boolean isJmxRemoteEnabled()

Whether or not remote JMX management is enabled for this node.

Returns:
  `True` if remote JMX management is enabled - `false` otherwise.

#### isRestartEnabled

    boolean isRestartEnabled()

Whether or not node restart is enabled.

Returns:
  `True` if restart mode is enabled, `false` otherwise.

#### igfsx

    @Nullable
    IgniteFileSystem igfsx(@Nullable
                                  String name)

Get IGFS instance returning null if it doesn't exist.

Parameters:
  `name` - IGFS name.
Returns:
  IGFS.

#### hadoop

    Hadoop hadoop()

Get Hadoop facade.

Returns:
  Hadoop.

#### cluster

    IgniteClusterEx cluster()

Gets an instance of `IgniteCluster` interface.

Specified by:
  `cluster` in interface `Ignite`
Returns:
  Instance of `IgniteCluster` interface.

#### latestVersion

    @Nullable
    String latestVersion()

Get latest version in string form.

Returns:
  Latest version.

#### localNode

    ClusterNode localNode()

Gets local grid node.

Returns:
  Local grid node.

#### context

    GridKernalContext context()

Internal context.

Returns:
  Kernal context.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015